ConfigurationException (Java SE 13 & JDK 13 )
Description: declaration: module: java.naming, package: javax.naming, class: ConfigurationException
Keywords: javax.naming.ConfigurationException class

Module java.naming
Package javax.naming

# Class ConfigurationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.naming.NamingException
javax.naming.ConfigurationException

All Implemented Interfaces:
  `Serializable`

    public class ConfigurationException
    extends NamingException

This exception is thrown when there is a configuration problem. This can arise when installation of a provider was not done correctly, or if there are configuration problems with the server, or if configuration information required to access the provider or service is malformed or missing. For example, a request to use SSL as the security protocol when the service provider software was not configured with the SSL component would cause such an exception. Another example is if the provider requires that a URL be specified as one of the environment properties but the client failed to provide it.

Synchronization and serialization issues that apply to NamingException apply directly here.

Since:
  1.3
See Also:
  Serialized Form

- ## Field Summary

  ### Fields declared in class javax.naming.NamingException

  `remainingName, resolvedName, resolvedObj, rootException`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ConfigurationException()` | Constructs a new instance of ConfigurationException with all name resolution fields and explanation initialized to null.
  `ConfigurationException​(String explanation)` | Constructs a new instance of ConfigurationException using an explanation.

- ## Method Summary

  ### Methods declared in class javax.naming.NamingException

  `appendRemainingComponent, appendRemainingName, getCause, getExplanation, getRemainingName, getResolvedName, getResolvedObj, getRootCause, initCause, setRemainingName, setResolvedName, setResolvedObj, setRootCause, toString, toString`

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ConfigurationException

    public ConfigurationException​(String explanation)
    Constructs a new instance of ConfigurationException using an explanation. All other fields default to null.
    Parameters:
      `explanation` - A possibly null string containing additional detail about this exception.
    See Also:
      `Throwable.getMessage()`

  - ### ConfigurationException

    public ConfigurationException()
    Constructs a new instance of ConfigurationException with all name resolution fields and explanation initialized to null.